mediastreamer2 2.12.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Modules
Mediastreamer2's base APIs

Base APIs of mediastreamer2. More...

## Modules
| Init API - Starting mediastreamer2 library
| Starting mediastreamer2 library.
| Sound Card API - Manage audio capture/play filters
| Sound Card API to manage audio capture/play filters.
| Filter API - Manage mediastreamer2 filters
| Filter API to manage mediastreamer2 filters.
| Ticker API - Manage mediastreamer2 graphs
| Ticker API to manage mediastreamer2 graphs.
| Camera API - manage video capture devices
typedef struct _MSVideoPresetsManager | MSVideoPresetsManager
typedef struct _MSVideoPresetConfiguration | MSVideoPresetConfiguration
MSVideoPresetsManager * | ms_video_presets_manager_new (MSFactory *factory)
void | ms_video_presets_manager_destroy (MSVideoPresetsManager *manager)
void | ms_video_presets_manager_register_preset_configuration (MSVideoPresetsManager *manager, const char *name, const char *tags, MSVideoConfiguration *config)
MSVideoPresetConfiguration * | ms_video_presets_manager_find_preset_configuration (MSVideoPresetsManager *manager, const char *name, MSList *codec_tags)
MSVideoConfiguration * | ms_video_preset_configuration_get_video_configuration (MSVideoPresetConfiguration *vpc)
char * | ms_video_preset_configuration_get_tags_as_string (MSVideoPresetConfiguration *vpc)

## Detailed Description

Base APIs of mediastreamer2.

Mediastreamer2 expose a low level API to directly control filters, chain and have them running.

## Typedef Documentation

typedef struct _MSVideoPresetsManager MSVideoPresetsManager

Structure for video presets manager object.

typedef struct _MSVideoPresetConfiguration MSVideoPresetConfiguration

Structure for video preset configuration object.

## Function Documentation

MSVideoPresetsManager* ms_video_presets_manager_new | ( | MSFactory * | factory | ) |

Create a video presets manager object.

Parameters

  [in] | The | MSFactory to add the new video presets manager to.

Returns
  The new MSVideoPresetsManager object.

void ms_video_presets_manager_destroy | ( | MSVideoPresetsManager * | manager | ) |

Destroy the video presets manager object.

Parameters

  [in] | manager | The MSVideoPresetsManager to destroy.

void ms_video_presets_manager_register_preset_configuration | ( | MSVideoPresetsManager * | manager,
|  | const char * | name,
|  | const char * | tags,
|  | MSVideoConfiguration * | config
| ) |  |

Register a video preset configuration.

Parameters

  [in] | manager | The MSVideoPresetsManager object.
  [in] | name | The name of the video preset to register.
  [in] | tags | A comma-separated list of tags describing the video preset.
  [in] | config | The MSVideoConfiguration that is to be registered in the specified preset with the specified tags.

MSVideoPresetConfiguration* ms_video_presets_manager_find_preset_configuration | ( | MSVideoPresetsManager * | manager,
|  | const char * | name,
|  | MSList * | codec_tags
| ) |  |

Search for a video preset configuration.

Parameters

  [in] | manager | The MSVideoPresetsManager object.
  [in] | name | The name of the video preset to search for.
  [in] | codecs_tags | A list of tags describing the codec that will be used to select the video configuration to return.

Returns
  The MSVideoConfiguration corresponding to the video preset being searched for and matching the codec_tags and the platform tags.

MSVideoConfiguration* ms_video_preset_configuration_get_video_configuration | ( | MSVideoPresetConfiguration * | vpc | ) |

Get the video configuration corresponding to a video preset configuration.

Parameters

  [in] | vpc | MSVideoPresetConfiguration object obtained with ms_video_presets_manager_find_preset_configuration()

Returns
  The MSVideoConfiguration corresponding to the video preset configuration.

char* ms_video_preset_configuration_get_tags_as_string | ( | MSVideoPresetConfiguration * | vpc | ) |

Get the tags corresponding to a video preset configuration.

Parameters

  [in] | vpc | MSVideoPresetConfiguration object obtained with ms_video_presets_manager_find_preset_configuration()

Returns
  A comma-separated list of tags describing the video preset configuration.